> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add financing rounds

> 
        Add financing rounds across your cap tables. Creates new financing events with stage information, valuations, and co-investor details.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the companies.
        - User must have permission to add data to the cap tables.
    



## OpenAPI

````yaml post /beta/investment/financing-rounds/add/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/financing-rounds/add/:
    post:
      tags:
        - cap_table
      summary: Add financing rounds
      description: |2-

                Add financing rounds across your cap tables. Creates new financing events with stage information, valuations, and co-investor details.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the companies.
                - User must have permission to add data to the cap tables.
            
      operationId: add_financing_rounds
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddFinancingRounds'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FinancingOut'
                title: Response
                type: array
      security:
        - BearerAuth: []
components:
  schemas:
    AddFinancingRounds:
      description: A list of financing rounds to add.
      properties:
        financing_rounds:
          items:
            $ref: '#/components/schemas/Financing'
          title: Financing Rounds
          type: array
      required:
        - financing_rounds
      title: AddFinancingRounds
      type: object
    FinancingOut:
      description: A financing event being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the financing.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        company_id:
          description: The ID of the company this financing event belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        name:
          description: The name of the financing round.
          examples:
            - Series A
          title: Name
          type: string
        pre_money_valuation:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: >-
            The pre-money valuation of the company at the time of the financing
            round.
          examples:
            - currency: USD
              value: '20000000'
        round_size:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: The total size of the financing round.
          examples:
            - currency: USD
              value: '5000000'
        fully_diluted_shares:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The fully diluted share count at the time of the financing round.
          examples:
            - '1000000'
          title: Fully Diluted Shares
        closing_date:
          description: The closing date of the financing round.
          examples:
            - '2030-01-01'
          format: date
          title: Closing Date
          type: string
        co_investors:
          description: The list of co-investors in the financing round.
          examples:
            - is_lead: true
              name: Investor 1
            - is_lead: false
              name: Investor 2
          items:
            $ref: '#/components/schemas/CoInvestor'
          title: Co Investors
          type: array
        is_crypto:
          default: false
          description: Whether this is a crypto financing event.
          examples:
            - false
          title: Is Crypto
          type: boolean
        liquidation_multiple:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The liquidation multiple (e.g., 1.00, 1.50, 2.00).
          examples:
            - '1.50'
          title: Liquidation Multiple
        cap_multiple:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The cap multiple for capped participating preferences.
          examples:
            - '3.00'
          title: Cap Multiple
        seniority_position:
          anyOf:
            - $ref: '#/components/schemas/SeniorityPosition'
            - type: 'null'
          description: 'The seniority position: SENIOR_TO_ALL or PARI_PASSU.'
          examples:
            - SENIOR_TO_ALL
        participation_type:
          anyOf:
            - $ref: '#/components/schemas/ParticipationType'
            - type: 'null'
          description: >-
            The participation type: NON_PARTICIPATING, FULLY_PARTICIPATING, or
            CAPPED_PARTICIPATING.
          examples:
            - NON_PARTICIPATING
        pari_passu_rounds:
          anyOf:
            - items:
                $ref: '#/components/schemas/PariPassuRound'
              type: array
            - type: 'null'
          description: >-
            Financing rounds that share equal seniority in the same pari passu
            group.
          examples:
            - - id: a2Ne
                name: Series A
          title: Pari Passu Rounds
        company_name:
          description: The name of the company this financing event belongs to.
          examples:
            - Acme Corp
          title: Company Name
          type: string
      required:
        - company_id
        - name
        - pre_money_valuation
        - round_size
        - fully_diluted_shares
        - closing_date
        - co_investors
        - company_name
      title: FinancingOut
      type: object
    Financing:
      description: >-
        A financing event in a given cap table, this could be a financing round
        or a crypto financing event.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the financing.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        company_id:
          description: The ID of the company this financing event belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        name:
          description: The name of the financing round.
          examples:
            - Series A
          title: Name
          type: string
        pre_money_valuation:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: >-
            The pre-money valuation of the company at the time of the financing
            round.
          examples:
            - currency: USD
              value: '20000000'
        round_size:
          anyOf:
            - $ref: '#/components/schemas/MoneyAmount'
            - type: 'null'
          description: The total size of the financing round.
          examples:
            - currency: USD
              value: '5000000'
        fully_diluted_shares:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The fully diluted share count at the time of the financing round.
          examples:
            - '1000000'
          title: Fully Diluted Shares
        closing_date:
          description: The closing date of the financing round.
          examples:
            - '2030-01-01'
          format: date
          title: Closing Date
          type: string
        co_investors:
          description: The list of co-investors in the financing round.
          examples:
            - is_lead: true
              name: Investor 1
            - is_lead: false
              name: Investor 2
          items:
            $ref: '#/components/schemas/CoInvestor'
          title: Co Investors
          type: array
        is_crypto:
          default: false
          description: Whether this is a crypto financing event.
          examples:
            - false
          title: Is Crypto
          type: boolean
        liquidation_multiple:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The liquidation multiple (e.g., 1.00, 1.50, 2.00).
          examples:
            - '1.50'
          title: Liquidation Multiple
        cap_multiple:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The cap multiple for capped participating preferences.
          examples:
            - '3.00'
          title: Cap Multiple
        seniority_position:
          anyOf:
            - $ref: '#/components/schemas/SeniorityPosition'
            - type: 'null'
          description: 'The seniority position: SENIOR_TO_ALL or PARI_PASSU.'
          examples:
            - SENIOR_TO_ALL
        participation_type:
          anyOf:
            - $ref: '#/components/schemas/ParticipationType'
            - type: 'null'
          description: >-
            The participation type: NON_PARTICIPATING, FULLY_PARTICIPATING, or
            CAPPED_PARTICIPATING.
          examples:
            - NON_PARTICIPATING
        pari_passu_rounds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          description: >-
            IDs of financing rounds that share equal seniority in the same pari
            passu group.
          examples:
            - - a2Ne
              - b3Nf
          title: Pari Passu Rounds
      required:
        - company_id
        - name
        - pre_money_valuation
        - round_size
        - fully_diluted_shares
        - closing_date
        - co_investors
      title: Financing
      type: object
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    CoInvestor:
      description: A co-investor in a financing round.
      properties:
        name:
          description: The name of the co-investor.
          examples:
            - SM Capital
          title: Name
          type: string
        is_lead:
          default: false
          description: Whether this co-investor is the lead investor.
          examples:
            - true
          title: Is Lead
          type: boolean
      required:
        - name
      title: CoInvestor
      type: object
    SeniorityPosition:
      enum:
        - SENIOR_TO_ALL
        - PARI_PASSU
        - PARI_PASSU_ALL_PREVIOUS
      title: SeniorityPosition
      type: string
      x-enumDescriptions:
        - Senior To All
        - Pari Passu
        - Pari Passu All Previous
      x-enumNames:
        - SENIOR_TO_ALL
        - PARI_PASSU
        - PARI_PASSU_ALL_PREVIOUS
    ParticipationType:
      enum:
        - NON_PARTICIPATING
        - FULLY_PARTICIPATING
        - CAPPED_PARTICIPATING
      title: ParticipationType
      type: string
      x-enumDescriptions:
        - Non Participating
        - Fully Participating
        - Capped Participating
      x-enumNames:
        - NON_PARTICIPATING
        - FULLY_PARTICIPATING
        - CAPPED_PARTICIPATING
    PariPassuRound:
      description: A financing round in a pari passu group.
      properties:
        id:
          description: The ID of the financing round.
          examples:
            - a2Ne
          title: Id
          type: string
        name:
          description: The name of the financing round.
          examples:
            - Series A
          title: Name
          type: string
      required:
        - id
        - name
      title: PariPassuRound
      type: object
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````